<template>
  <div class="infoWin">
    <div class="header-new">
      <img
        class="header-img"
        src="@/assets/images/mapSearch/搜地址.png"
        alt=""
      />{{ info.name }}
    </div>
    <div
      v-if="returnWin?.infoType === 'station'"
      class="back"
      @click="onClickStation(returnWin.info)"
    >
      &lt; 返回驻勤点信息
    </div>

    <div
      v-if="returnWin?.infoType === 'employee'"
      class="back"
      @click="onClickEmployee(returnWin.info)"
    >
      &lt; 返回保安员信息
    </div>
    
    <div
      v-if="returnWin?.infoType === 'rail'"
      class="back"
      @click="onClickRail(returnWin.info)"
    >
      &lt; 返回电子围栏信息
    </div>

    <div class="content-new">
      <div class="content-new-label">法定代表人：</div>
      <div class="content-new-value">{{ info.legal }}</div>
    </div>
    <div class="content-new">
      <div class="content-new-label">联系方式：</div>
      <div class="content-new-value">
        {{ isPhone ? info.legalContact : "***********" }}
        <span class="hide-show" @click.stop="isPhone = !isPhone" v-if="isPhone"
          >隐藏</span
        >
        <span class="hide-show" @click.stop="isPhone = !isPhone" v-if="!isPhone"
          >显示</span
        >
      </div>
    </div>
    <div class="content-new">
      <div class="content-new-label">注册地址：</div>
      <el-tooltip effect="dark" :content="info.registerAddress" placement="top">
        <div class="content-new-value">
          {{ info.registerAddressSlice }}
        </div>
      </el-tooltip>
    </div>
    <div class="content-new">
      <div class="content-new-label">驻勤点数：</div>
      <div class="content-new-value">
        {{ info.countOfActivityStation }}
      </div>
    </div>
    <div class="content-new">
      <div class="content-new-label">保安员数：</div>
      <div class="content-new-value">{{ info.countOfSecurityMan }}</div>
    </div>
  </div>
</template>

<script>
export default {
  name: "OverlayCompany",
  props: {
    info: {
      type: Object,
    },
    returnWin: {
      type: Object,
    },
  },
  data() {
    return {
      isPhone: false,
    };
  },
  methods: {

    /**
     * @返回保安员
     */
    onClickEmployee(info) {
      this.$bus.$emit("click-employee", { info, infoType: "company" });
    },
    /**
     * @返回驻勤点
     */
    onClickStation(info) {
      this.$bus.$emit("click-station", { info, infoType: "company" });
    },

    /**
     * @返回电子围栏
     */
     onClickRail(info) {
      this.$bus.$emit("click-rail", { info, infoType: "company" });
    },

  },
};
</script>

<style scoped></style>
